Skip to main content

Delete Floating IP

DELETE /v2.0/floatingips/{floatingip_id}

Delete a floating IP and, if present, its associated port.

info

Request​

Parameters​

NameInTypeDescription
floatingip_idpathstringThe ID of the floating IP address.

Sample Request​

Using curl​

curl -ks -X DELETE -H 'Content-Type: application/json' -H 'X-Auth-Token: gAAAAA<..>' \
https://api.vietnix.cloud:9696/v2.0/floatingips/4f2038c2-bd8d-4c78-b65d-7d19eb96e3b1

Using HTTP request​

DELETE https://api.vietnix.cloud:9696/v2.0/floatingips/4f2038c2-bd8d-4c78-b65d-7d19eb96e3b1
Content-Type: application/json
X-Auth-Token: gAAAAA<..>

Response​

Status Codes​

Success​

Status CodeDescription
204 - No ContentThe server has fulfilled the request.

Error​

Status CodeDescription
401 - UnauthorizedUser must authenticate before making a request.
404 - Not FoundThe requested resource could not be found.
412 - Precondition FailedThe server does not meet one of the preconditions that the requester put on the request header fields.